Skip to main content
GET
/
products
Get all known trading pairs
curl --request GET \
  --url https://api.exchange.coinbase.com/products
import requests

url = "https://api.exchange.coinbase.com/products"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.exchange.coinbase.com/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "id": "BTC-USD",
    "base_currency": "BTC",
    "quote_currency": "USD",
    "quote_increment": "0.01000000",
    "base_increment": "0.00000001",
    "display_name": "BTC/USD",
    "min_market_funds": "10",
    "margin_enabled": false,
    "post_only": false,
    "limit_only": false,
    "cancel_only": false,
    "status": "online",
    "status_message": "",
    "auction_mode": true
  }
]
{
"message": "<string>"
}
Order Size Limits RemovedThe properties base_max_size, base_min_size, max_market_funds were removed on June 30.The property, min_market_funds, has been repurposed as the notional minimum size for limit orders.
The base_min_size and base_max_size fields define the min and max order size. The min_market_funds and max_market_funds fields define the min and max funds allowed in a market order. status_message provides any extra information regarding the status if available. The quote_increment field specifies the min order price as well as the price increment. The order price must be a multiple of this increment (i.e. if the increment is 0.01, order prices of 0.001 or 0.021 would be rejected). The base_increment field specifies the minimum increment for the base_currency. trading_disabled indicates whether trading is currently restricted on this product, this includes whether both new orders and order cancellations are restricted. cancel_only indicates whether this product only accepts cancel requests for orders. post_only indicates whether only maker orders can be placed. No orders will be matched when post_only mode is active. limit_only indicates whether this product only accepts limit orders. Only a maximum of one of trading_disabled, cancel_only, post_only, limit_only can be true at once. If none are true, the product is trading normally. fx_stablecoin indicates whether the currency pair is a Stable Pair. auction_mode boolean which indicates whether or not the book is in auction mode. For more details on the auction mode see Get product book describing the level 1 book which contains information pertaining to products in auction mode.
When limit_only is true, matching can occur if a limit order crosses the book. Product ID will not change once assigned to a product but all other fields ares subject to change.

Query Parameters

type
string

Response

id
string
required
base_currency
string
required
quote_currency
string
required
quote_increment
string
required

Min order price (a.k.a. price increment

base_increment
string
required
display_name
string
required
min_market_funds
string
required
margin_enabled
boolean
required
post_only
boolean
required
limit_only
boolean
required
cancel_only
boolean
required
status
enum<string>
default:online
required
Available options:
online,
offline,
internal,
delisted
status_message
string
required
auction_mode
boolean
required
trading_disabled
boolean
fx_stablecoin
boolean
max_slippage_percentage
string
high_bid_limit_percentage
string

Percentage to calculate highest price for limit buy order (Stable coin trading pair only)